SessionAwareHibernateFlowExecutionListener (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.persistence
[Java] Class SessionAwareHibernateFlowExecutionListener

    java.lang.Object
      org.springframework.webflow.execution.FlowExecutionListenerAdapter
          org.springframework.webflow.persistence.HibernateFlowExecutionListener
              org.codehaus.groovy.grails.webflow.persistence.SessionAwareHibernateFlowExecutionListener

    public class SessionAwareHibernateFlowExecutionListener
    extends org.springframework.webflow.persistence.HibernateFlowExecutionListener

Extends the HibernateFlowExecutionListener and doesn't bind a session if one is already present.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary

Fields inherited from class org.springframework.webflow.persistence.HibernateFlowExecutionListener
PERSISTENCE_CONTEXT_ATTRIBUTE

Constructor Summary
`SessionAwareHibernateFlowExecutionListener(org.hibernate.SessionFactory sessionFactory, org.springframework.transaction.PlatformTransactionManager transactionManager)` Create a new Hibernate Flow Execution Listener using giving Hibernate session factory and transaction manager.

Method Summary
`void` | `paused(org.springframework.webflow.execution.RequestContext context)`
`void` | `resuming(org.springframework.webflow.execution.RequestContext context)`
`void` | `sessionEnded(org.springframework.webflow.execution.RequestContext context, org.springframework.webflow.execution.FlowSession session, java.lang.String outcome, org.springframework.webflow.core.collection.AttributeMap output)`
`void` | `sessionEnding(org.springframework.webflow.execution.RequestContext context, org.springframework.webflow.execution.FlowSession session, java.lang.String outcome, org.springframework.webflow.core.collection.MutableAttributeMap output)`
`void` | `sessionStarting(org.springframework.webflow.execution.RequestContext context, org.springframework.webflow.execution.FlowSession session, org.springframework.webflow.core.collection.MutableAttributeMap input)`

Methods inherited from class org.springframework.webflow.persistence.HibernateFlowExecutionListener
org.springframework.webflow.persistence.HibernateFlowExecutionListener#setEntityInterceptor(org.hibernate.Interceptor), org.springframework.webflow.persistence.HibernateFlowExecutionListener#sessionStarting(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.FlowSession, org.springframework.webflow.core.collection.MutableAttributeMap), org.springframework.webflow.persistence.HibernateFlowExecutionListener#paused(org.springframework.webflow.execution.RequestContext), org.springframework.webflow.persistence.HibernateFlowExecutionListener#resuming(org.springframework.webflow.execution.RequestContext), org.springframework.webflow.persistence.HibernateFlowExecutionListener#sessionEnding(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.FlowSession, java.lang.String, org.springframework.webflow.core.collection.MutableAttributeMap), org.springframework.webflow.persistence.HibernateFlowExecutionListener#sessionEnded(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.FlowSession, java.lang.String, org.springframework.webflow.core.collection.AttributeMap), org.springframework.webflow.persistence.HibernateFlowExecutionListener#exceptionThrown(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.FlowExecutionException), org.springframework.webflow.persistence.HibernateFlowExecutionListener#requestSubmitted(org.springframework.webflow.execution.RequestContext), org.springframework.webflow.persistence.HibernateFlowExecutionListener#requestProcessed(org.springframework.webflow.execution.RequestContext), org.springframework.webflow.persistence.HibernateFlowExecutionListener#sessionCreating(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.definition.FlowDefinition), org.springframework.webflow.persistence.HibernateFlowExecutionListener#sessionStarted(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.FlowSession), org.springframework.webflow.persistence.HibernateFlowExecutionListener#eventSignaled(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.Event), org.springframework.webflow.persistence.HibernateFlowExecutionListener#transitionExecuting(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.definition.TransitionDefinition), org.springframework.webflow.persistence.HibernateFlowExecutionListener#stateEntering(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.definition.StateDefinition), org.springframework.webflow.persistence.HibernateFlowExecutionListener#viewRendered(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.View, org.springframework.webflow.definition.StateDefinition), org.springframework.webflow.persistence.HibernateFlowExecutionListener#viewRendering(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.View, org.springframework.webflow.definition.StateDefinition), org.springframework.webflow.persistence.HibernateFlowExecutionListener#stateEntered(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.definition.StateDefinition, org.springframework.webflow.definition.StateDefinition), org.springframework.webflow.persistence.HibernateFlowExecutionListener#wait(), org.springframework.webflow.persistence.HibernateFlowExecutionListener#wait(long, int), org.springframework.webflow.persistence.HibernateFlowExecutionListener#wait(long), org.springframework.webflow.persistence.HibernateFlowExecutionListener#equals(java.lang.Object), org.springframework.webflow.persistence.HibernateFlowExecutionListener#toString(), org.springframework.webflow.persistence.HibernateFlowExecutionListener#hashCode(), org.springframework.webflow.persistence.HibernateFlowExecutionListener#getClass(), org.springframework.webflow.persistence.HibernateFlowExecutionListener#notify(), org.springframework.webflow.persistence.HibernateFlowExecutionListener#notifyAll()

Methods inherited from class org.springframework.webflow.execution.FlowExecutionListenerAdapter
org.springframework.webflow.execution.FlowExecutionListenerAdapter#sessionStarting(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.FlowSession, org.springframework.webflow.core.collection.MutableAttributeMap), org.springframework.webflow.execution.FlowExecutionListenerAdapter#paused(org.springframework.webflow.execution.RequestContext), org.springframework.webflow.execution.FlowExecutionListenerAdapter#resuming(org.springframework.webflow.execution.RequestContext), org.springframework.webflow.execution.FlowExecutionListenerAdapter#sessionEnding(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.FlowSession, java.lang.String, org.springframework.webflow.core.collection.MutableAttributeMap), org.springframework.webflow.execution.FlowExecutionListenerAdapter#sessionEnded(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.FlowSession, java.lang.String, org.springframework.webflow.core.collection.AttributeMap), org.springframework.webflow.execution.FlowExecutionListenerAdapter#exceptionThrown(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.FlowExecutionException), org.springframework.webflow.execution.FlowExecutionListenerAdapter#requestSubmitted(org.springframework.webflow.execution.RequestContext), org.springframework.webflow.execution.FlowExecutionListenerAdapter#requestProcessed(org.springframework.webflow.execution.RequestContext), org.springframework.webflow.execution.FlowExecutionListenerAdapter#sessionCreating(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.definition.FlowDefinition), org.springframework.webflow.execution.FlowExecutionListenerAdapter#sessionStarted(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.FlowSession), org.springframework.webflow.execution.FlowExecutionListenerAdapter#eventSignaled(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.Event), org.springframework.webflow.execution.FlowExecutionListenerAdapter#transitionExecuting(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.definition.TransitionDefinition), org.springframework.webflow.execution.FlowExecutionListenerAdapter#stateEntering(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.definition.StateDefinition), org.springframework.webflow.execution.FlowExecutionListenerAdapter#viewRendered(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.View, org.springframework.webflow.definition.StateDefinition), org.springframework.webflow.execution.FlowExecutionListenerAdapter#viewRendering(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.execution.View, org.springframework.webflow.definition.StateDefinition), org.springframework.webflow.execution.FlowExecutionListenerAdapter#stateEntered(org.springframework.webflow.execution.RequestContext, org.springframework.webflow.definition.StateDefinition, org.springframework.webflow.definition.StateDefinition), org.springframework.webflow.execution.FlowExecutionListenerAdapter#wait(), org.springframework.webflow.execution.FlowExecutionListenerAdapter#wait(long, int), org.springframework.webflow.execution.FlowExecutionListenerAdapter#wait(long), org.springframework.webflow.execution.FlowExecutionListenerAdapter#equals(java.lang.Object), org.springframework.webflow.execution.FlowExecutionListenerAdapter#toString(), org.springframework.webflow.execution.FlowExecutionListenerAdapter#hashCode(), org.springframework.webflow.execution.FlowExecutionListenerAdapter#getClass(), org.springframework.webflow.execution.FlowExecutionListenerAdapter#notify(), org.springframework.webflow.execution.FlowExecutionListenerAdapter#notifyAll()

Constructor Detail

### SessionAwareHibernateFlowExecutionListener

    public SessionAwareHibernateFlowExecutionListener(org.hibernate.SessionFactory sessionFactory, org.springframework.transaction.PlatformTransactionManager transactionManager)

  Create a new Hibernate Flow Execution Listener using giving Hibernate session factory and transaction manager.
  Parameters:
    `sessionFactory` - the session factory to use
    `transactionManager` - the transaction manager to drive transactions

Method Detail

### paused

    super.paused(context);
    public void paused(org.springframework.webflow.execution.RequestContext context)

### resuming

    @Override
    public void resuming(org.springframework.webflow.execution.RequestContext context)

### sessionEnded

    super.sessionEnded(context, session, outcome, output);
    public void sessionEnded(org.springframework.webflow.execution.RequestContext context, org.springframework.webflow.execution.FlowSession session, java.lang.String outcome, org.springframework.webflow.core.collection.AttributeMap output)

### sessionEnding

    @Override
    public void sessionEnding(org.springframework.webflow.execution.RequestContext context, org.springframework.webflow.execution.FlowSession session, java.lang.String outcome, org.springframework.webflow.core.collection.MutableAttributeMap output)

### sessionStarting

    @Override
    public void sessionStarting(org.springframework.webflow.execution.RequestContext context, org.springframework.webflow.execution.FlowSession session, org.springframework.webflow.core.collection.MutableAttributeMap input)

Groovy Documentation